# Add an image to a content post

Add a new image to a content record. Response body is the updated content record. This API does not resize or rehost images. Images should be appropriately sized and will be served from the provided URL.

Endpoint: PUT /v2/content/{content_id}/images
Version: 2026-05-01
Security: oauth2_as_a_user, oauth2_as_a_server

## Path parameters:

  - `content_id` (integer, required)
    ID or UUID of the content post

## Request fields (application/json):

  - `image_url` (string)
    URL of the image to add.

## Response 201 fields (application/json):

  - `data` (object, required)

  - `data.id` (integer)
    The unique identifier of this image record
    Example: 678

  - `data.image_url` (string)
    Example: https://cdn.example.com/acme/acmetimes/images/abc123

  - `data.width` (integer)
    The width of the image in pixels
    Example: 1024

  - `data.height` (integer)
    The height of the image in pixels
    Example: 768

## Response 401 fields (*/*):

  - `errors` (array)

  - `errors.code` (integer)
    Example: 401

  - `errors.title` (string)
    Example: Unauthenticated

  - `errors.detail` (string)
    Example: Access token was not provided or not recognized.

## Response 403 fields (*/*):

  - `errors` (array)

  - `errors.code` (integer)
    Example: 403

  - `errors.title` (string)
    Example: Unauthorized

  - `errors.detail` (string)

